/* Global styles
 * ============================================================
 * ============================================================
 */
@font-face {
  src: url('../../webfonts/zapfino/zapfino.ttf') format('truetype');
  font-family: 'Zapfino';
  font-weight: normal;
  font-style: normal;
}

:root {}

.zapfino {
  font-family: 'Zapfino', sans-serif !important;
}

.hidden {
  visibility: hidden !important;
}


/* Header Styles
 * ============================================================
 * ============================================================
 */
/* Sticky Header Styles */
header.wp-block-template-part {
  transition: 500ms;
}

header.wp-block-template-part.sticky {
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
  position: fixed;
  backdrop-filter: blur(12px);
  -o-backdrop-filter: blur(12px);
  -moz-backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  background-color: rgba(0, 0, 0, .8);
}

/* Header progresss */
header.wp-block-template-part #header-progress-container {
  width: 100%;
  height: 4px;
  background: #f1f1f1;
  display: block !important;
}

header.wp-block-template-part #header-progress-container:before {
  content: "";
  height: 4px;
  background: red;
  display: block !important;
  transition: width 0.1s ease-out;
  width: var(--header-progress-width, 0%);
}

/* Hide Site Title and Tagline */
.header-title,
.header-tagline,
#header-stack {
  visibility: hidden !important;
}


/* Theme footer styles
 * ============================================================
 * ============================================================
 */
/* Footer Subscription Form */
form.subscription {
  gap: 10px;
  width: 90%;
  padding: 0px;
  height: auto;
  margin: auto;
  display: flex;
  flex: 0 0 auto;
  margin-top: 10px;
  align-items: start;
  justify-items: left;
  justify-content: left;
  flex-direction: column;
}

form.subscription .form-label {
  display: none;
  visibility: hidden;
}

form.subscription .form-input {
  width: 90%;
  margin: auto;
  max-width: 90%;
  min-width: 20%;
  display: block;
  text-indent: 10px;
  padding: .1em 1rem;
  border-width: 0.5px;
  border-style: solid;
  border-color: red;
}

form.subscription .form-submit {
  width: 90%;
  margin: auto;
  max-width: 90%;
  min-width: 20%;
  display: block;
  cursor: pointer;
  font-weight: bold;
  padding: .2em 2rem;
  text-align: center;
  border-width: 0.5px;
  border-style: solid;
  border-color: red;
  background-color: red;
}

form.subscription .form-submit:hover {
  color: red;
  background-color: #fff;
}

/* Instagram Feed plugin fixup
 * ============================================================
 * ============================================================
 */
#sb_instagram .sb_instagram_header p, .sb_instagram_header p {
  display: none !important;
  visibility: hidden !important;
}
.sbi-critical-notice {
  right: initial !important;
  left: 15px !important;
}

/* Translater plugin fixup
 * ============================================================
 * ============================================================
 */
#gt_float_wrapper {
  left: 18px !important;
  right: auto !important;
  bottom: 1px !important;
  z-index: 999 !important;
}

/* Ninja Forms plugin fixup
 * ============================================================
 * ============================================================
 */
.nf-field-element input,
.nf-field-element select,
.nf-field-element textarea {
  background: #222;
}

.field-wrap button,
.field-wrap input[type=button],
.field-wrap input[type=submit],
.field-wrap>div input[type=checkbox] {
  padding: .2rem 1rem;
  border-radius: 3px;

}

/* WooCommerce fixup
 * ============================================================
 * ============================================================
 */
.wc-block-mini-cart__badge {
  opacity: 1 !important;
  width: 1.85em !important;
  height: 1.85em !important;
  padding: .28em !important;
  color: #ffffff !important;
  background-color: #e20000 !important;
}


@media screen and (max-width: 780px) {

  /* Header fixup
   * ============================================================
   * ============================================================
   */
  #header-book-now,
  #header-get-tickets {
    display: none;
    visibility: hidden;
  }

  /**
   * Theme Buttons
   * ============================================================
   * ============================================================
   */

  /* header */
  .book-now-btn,
  #book-now-btn {
    display: none;
    visibility: hidden;
  }

  /* frontpage */
  .view-all-col,
  .view-all-events,
  .view-all-col .view-all-events {
    display: none;
    visibility: hidden;
  }
}

@media screen and (max-width: 599px) {

  /* Mobile nav fixup
  * ============================================================
  * ============================================================
  */
  header.wp-block-template-part.sticky:has(.wp-block-navigation__responsive-container.is-menu-open) {
    min-height: 100%;
  }

  .wp-block-navigation__responsive-container.is-menu-open {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    position: fixed !important;
  }

  .wp-block-navigation ul {
    width: 98%;
    margin: auto;
    padding: 5px 0px;
    text-align: center;
    align-items: center;
    justify-items: center;
    justify-content: center;
  }

  .wp-block-navigation ul li {
    width: 98%;
    margin: auto;
    text-align: center !important;
    align-items: center !important;
    justify-items: center !important;
    justify-content: center !important;
  }

  .wp-block-navigation__responsive-container-close {
    padding: 1em 1em;
    background: red;
  }

  .wp-block-navigation .wp-block-navigation-item__content {}

  .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
    width: 85%;
  }
}